Get convenience yield
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetConvenienceYield \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"end_mats": [
6,
6
],
"start_mat": 0
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetConvenienceYield"
payload = {
"end_mats": [6, 6],
"start_mat": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({end_mats: [6, 6], start_mat: 0})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetConvenienceYield', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetConvenienceYield",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'end_mats' => [
6,
6
],
'start_mat' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetConvenienceYield"
payload := strings.NewReader("{\n \"end_mats\": [\n 6,\n 6\n ],\n \"start_mat\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetConvenienceYield")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"end_mats\": [\n 6,\n 6\n ],\n \"start_mat\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetConvenienceYield")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"end_mats\": [\n 6,\n 6\n ],\n \"start_mat\": 0\n}"
response = http.request(request)
puts response.read_body{
"factors": [
0.8008281904610115,
0.8008281904610115
]
}Get convenience yield
POST
/
api
/
MarketData
/
GetConvenienceYield
Get convenience yield
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetConvenienceYield \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"end_mats": [
6,
6
],
"start_mat": 0
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetConvenienceYield"
payload = {
"end_mats": [6, 6],
"start_mat": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({end_mats: [6, 6], start_mat: 0})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetConvenienceYield', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetConvenienceYield",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'end_mats' => [
6,
6
],
'start_mat' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetConvenienceYield"
payload := strings.NewReader("{\n \"end_mats\": [\n 6,\n 6\n ],\n \"start_mat\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetConvenienceYield")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"end_mats\": [\n 6,\n 6\n ],\n \"start_mat\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetConvenienceYield")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"end_mats\": [\n 6,\n 6\n ],\n \"start_mat\": 0\n}"
response = http.request(request)
puts response.read_body{
"factors": [
0.8008281904610115,
0.8008281904610115
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Available options:
Derivitec.Web.Core.MarketData.ApiGetConvenienceYieldRequest, Derivitec.Web.Core Show child attributes
Show child attributes
Example:
{
"commodity_id": { "name": "name", "exchange": "exchange" },
"maturities": [6, 6],
"discount_factors": [9.369310271410669, 9.369310271410669],
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
}
Was this page helpful?